Failed calling command '/opt/scalix/bin/ommakeom

Discuss installation of Scalix software

Moderators: ScalixSupport, admin

kanderson

Postby kanderson » Tue Aug 28, 2007 1:26 pm

Do a complete uninstall. then "rm -rf /var/opt/scalix" The do a complete reinstall.

If you had data there, it's gone now anyway, so I don't think there's any danger in doing this, especially on a new server.

Sorry.

Kev.

etnazraz
Posts: 10
Joined: Tue Aug 28, 2007 12:09 pm

Postby etnazraz » Tue Aug 28, 2007 1:46 pm

Error message again here is the full installation log

2007-08-28 21:41:52,844 INFO Initializing Scalix Installer version 11.1.0.45
2007-08-28 21:41:52,874 INFO Platform is: Fedora Core release 5 (Bordeaux) on i386 : supported.
2007-08-28 21:41:52,874 INFO Starting Scalix Installer in CLI mode
2007-08-28 21:41:53,036 INFO Current locale is and default is
2007-08-28 21:41:54,305 INFO Packages installed: {}
2007-08-28 21:41:55,788 INFO Obsolete packages installed: {}
2007-08-28 21:42:14,019 INFO Operation passed: OS release check Fedora Core release 5 (Bordeaux)
2007-08-28 21:42:14,019 INFO Operation passed: Memory check 2097152
2007-08-28 21:42:14,019 INFO Operation passed: Disk space check 40207044
2007-08-28 21:42:14,028 INFO Tomcat was running when we started: False
2007-08-28 21:42:14,524 INFO Searching /home/scalix-11.1.0-GA/software/scalix_server for relevant Scalix packages
2007-08-28 21:42:14,525 INFO File /home/scalix-11.1.0-GA/software/scalix_server/scalix-server-11.1.0.10849-1.fc5.i386.rpm is a Scalix file, for this platform and valid version
2007-08-28 21:42:14,526 INFO File /home/scalix-11.1.0-GA/software/scalix_server/scalix-postgres-11.1.0.45-1.noarch.rpm is a Scalix file, for this platform and valid version
2007-08-28 21:42:14,526 INFO File /home/scalix-11.1.0-GA/software/scalix_server/scalix-tomcat-connector-11.1.0.45-1.fc5.i386.rpm is a Scalix file, for this platform and valid version
2007-08-28 21:42:14,526 WARNING File /home/scalix-11.1.0-GA/software/scalix_server/scalix-tomcat-connector-11.1.0.45-1.fc5.x86_64.rpm is not for this platform
2007-08-28 21:42:14,526 INFO File /home/scalix-11.1.0-GA/software/scalix_server/scalix-mobile-11.1.0.45-1.noarch.rpm is a Scalix file, for this platform and valid version
2007-08-28 21:42:14,527 INFO File /home/scalix-11.1.0-GA/software/scalix_server/scalix-platform-11.1.0.50-1.noarch.rpm is a Scalix file, for this platform and valid version
2007-08-28 21:42:14,527 INFO File /home/scalix-11.1.0-GA/software/scalix_server/scalix-tomcat-5.5.23-292.noarch.rpm is a Scalix file, for this platform and valid version
2007-08-28 21:42:14,527 INFO File /home/scalix-11.1.0-GA/software/scalix_server/scalix-sac-11.1.0.45-1.noarch.rpm is a Scalix file, for this platform and valid version
2007-08-28 21:42:14,527 INFO File /home/scalix-11.1.0-GA/software/scalix_server/scalix-swa-11.1.0.51-1.noarch.rpm is a Scalix file, for this platform and valid version
2007-08-28 21:42:14,527 INFO File /home/scalix-11.1.0-GA/software/scalix_server/scalix-sis-11.1.0.45-1.noarch.rpm is a Scalix file, for this platform and valid version
2007-08-28 21:42:14,528 INFO File /home/scalix-11.1.0-GA/software/scalix_server/scalix-res-11.1.0.45-1.noarch.rpm is a Scalix file, for this platform and valid version
2007-08-28 21:42:19,783 INFO Components selected to install: {'scalix-res': ['11.1.0.45-1', '1142709', 'noarch', 'linux', '1', '(none)', '(none)', '/home/scalix-11.1.0-GA/software/scalix_server/scalix-res-11.1.0.45-1.noarch.rpm'], 'scalix-sac': ['11.1.0.45-1', '9355986', 'noarch', 'linux', '1', '(none)', '(none)', '/home/scalix-11.1.0-GA/software/scalix_server/scalix-sac-11.1.0.45-1.noarch.rpm'], 'scalix-tomcat': ['5.5.23-292', '4764129', 'noarch', 'linux', '292', '(none)', '(none)', '/home/scalix-11.1.0-GA/software/scalix_server/scalix-tomcat-5.5.23-292.noarch.rpm'], 'scalix-sis': ['11.1.0.45-1', '1837042', 'noarch', 'linux', '1', '(none)', '(none)', '/home/scalix-11.1.0-GA/software/scalix_server/scalix-sis-11.1.0.45-1.noarch.rpm'], 'scalix-platform': ['11.1.0.50-1', '7690173', 'noarch', 'linux', '1', '(none)', '(none)', '/home/scalix-11.1.0-GA/software/scalix_server/scalix-platform-11.1.0.50-1.noarch.rpm'], 'scalix-server': ['11.1.0.10849-1.fc5', '51039146', 'i386', 'linux', '1.fc5', 'FC5', '(none)', '/home/scalix-11.1.0-GA/software/scalix_server/scalix-server-11.1.0.10849-1.fc5.i386.rpm'], 'scalix-tomcat-connector': ['11.1.0.45-1.fc5', '1131', 'i386', 'linux', '1.fc5', '(none)', '(none)', '/home/scalix-11.1.0-GA/software/scalix_server/scalix-tomcat-connector-11.1.0.45-1.fc5.i386.rpm'], 'scalix-mobile': ['11.1.0.45-1', '3113368', 'noarch', 'linux', '1', '(none)', '(none)', '/home/scalix-11.1.0-GA/software/scalix_server/scalix-mobile-11.1.0.45-1.noarch.rpm'], 'scalix-swa': ['11.1.0.51-1', '7032813', 'noarch', 'linux', '1', '(none)', '(none)', '/home/scalix-11.1.0-GA/software/scalix_server/scalix-swa-11.1.0.51-1.noarch.rpm'], 'scalix-postgres': ['11.1.0.45-1', '16125', 'noarch', 'linux', '1', '(none)', '(none)', '/home/scalix-11.1.0-GA/software/scalix_server/scalix-postgres-11.1.0.45-1.noarch.rpm']}
2007-08-28 21:42:19,784 INFO Components to upgrade: {}
2007-08-28 21:42:19,784 INFO System check start
2007-08-28 21:42:19,792 INFO Operation passed: Environment check passed.
2007-08-28 21:42:19,792 INFO Operation passed: Filesystem check passed.
2007-08-28 21:42:19,807 INFO Network interface is venet0:0
2007-08-28 21:42:19,808 INFO Operation passed: Network check passed.
2007-08-28 21:42:20,232 INFO Trying to resolve missing dependencies: ['libical >= 0.24.RC4.20050413 is needed by scalix-server-11.1.0.10849-1.fc5.i386', 'libical.so.0 is needed by scalix-server-11.1.0.10849-1.fc5.i386']
2007-08-28 21:42:21,668 INFO Found package /home/scalix-11.1.0-GA/third_party/libical/i386/libical-0.24.RC4.20050413-1.i386.rpm which provides libical in directory /home/scalix-11.1.0-GA/third_party/libical/i386
2007-08-28 21:42:23,193 INFO Found package /home/scalix-11.1.0-GA/third_party/libical/i386/libical-0.24.RC4.20050413-1.i386.rpm which provides libical.so.0 in directory /home/scalix-11.1.0-GA/third_party/libical/i386
2007-08-28 21:42:23,194 WARNING Operation warning: Dependency check warning -- The following packages will be installed next to resolve conflicts:
2007-08-28 21:42:23,194 WARNING Operation warning: libical
2007-08-28 21:42:23,286 INFO Apache 2.x appears to be installed.
2007-08-28 21:42:23,437 INFO Operation passed: Running services check passed.
2007-08-28 21:42:23,438 INFO System check end
2007-08-28 21:42:23,438 INFO System check result: 1
2007-08-28 21:42:29,859 INFO Install start
2007-08-28 21:42:30,101 INFO Trying to resolve missing dependencies: ['libical >= 0.24.RC4.20050413 is needed by scalix-server-11.1.0.10849-1.fc5.i386', 'libical.so.0 is needed by scalix-server-11.1.0.10849-1.fc5.i386']
2007-08-28 21:42:31,526 INFO Found package /home/scalix-11.1.0-GA/third_party/libical/i386/libical-0.24.RC4.20050413-1.i386.rpm which provides libical in directory /home/scalix-11.1.0-GA/third_party/libical/i386
2007-08-28 21:42:33,063 INFO Found package /home/scalix-11.1.0-GA/third_party/libical/i386/libical-0.24.RC4.20050413-1.i386.rpm which provides libical.so.0 in directory /home/scalix-11.1.0-GA/third_party/libical/i386
2007-08-28 21:42:33,069 WARNING Couldn't remove server system admin user: sxadmin ['userdel: user sxadmin does not exist']
2007-08-28 21:42:33,074 WARNING Couldn't remove server system admin group: sxadmin ['groupdel: group sxadmin does not exist'] , it's probably already been removed, OK.
2007-08-28 21:42:33,074 INFO Starting installation of RPM files [('/home/scalix-11.1.0-GA/third_party/libical/i386/libical-0.24.RC4.20050413-1.i386.rpm', 'libical'), ('/home/scalix-11.1.0-GA/software/scalix_server/scalix-server-11.1.0.10849-1.fc5.i386.rpm', 'scalix-server'), ('/home/scalix-11.1.0-GA/software/scalix_server/scalix-postgres-11.1.0.45-1.noarch.rpm', 'scalix-postgres'), ('/home/scalix-11.1.0-GA/software/scalix_server/scalix-tomcat-connector-11.1.0.45-1.fc5.i386.rpm', 'scalix-tomcat-connector'), ('/home/scalix-11.1.0-GA/software/scalix_server/scalix-tomcat-5.5.23-292.noarch.rpm', 'scalix-tomcat'), ('/home/scalix-11.1.0-GA/software/scalix_server/scalix-platform-11.1.0.50-1.noarch.rpm', 'scalix-platform'), ('/home/scalix-11.1.0-GA/software/scalix_server/scalix-res-11.1.0.45-1.noarch.rpm', 'scalix-res'), ('/home/scalix-11.1.0-GA/software/scalix_server/scalix-swa-11.1.0.51-1.noarch.rpm', 'scalix-swa'), ('/home/scalix-11.1.0-GA/software/scalix_server/scalix-sac-11.1.0.45-1.noarch.rpm', 'scalix-sac'), ('/home/scalix-11.1.0-GA/software/scalix_server/scalix-sis-11.1.0.45-1.noarch.rpm', 'scalix-sis'), ('/home/scalix-11.1.0-GA/software/scalix_server/scalix-mobile-11.1.0.45-1.noarch.rpm', 'scalix-mobile')]
2007-08-28 21:42:38,335 INFO Operation passed: Install /bin/rpm -U -v --percent /home/scalix-11.1.0-GA/third_party/libical/i386/libical-0.24.RC4.20050413-1.i386.rpm /home/scalix-11.1.0-GA/software/scalix_server/scalix-server-11.1.0.10849-1.fc5.i386.rpm /home/scalix-11.1.0-GA/software/scalix_server/scalix-postgres-11.1.0.45-1.noarch.rpm /home/scalix-11.1.0-GA/software/scalix_server/scalix-tomcat-connector-11.1.0.45-1.fc5.i386.rpm /home/scalix-11.1.0-GA/software/scalix_server/scalix-tomcat-5.5.23-292.noarch.rpm /home/scalix-11.1.0-GA/software/scalix_server/scalix-platform-11.1.0.50-1.noarch.rpm /home/scalix-11.1.0-GA/software/scalix_server/scalix-res-11.1.0.45-1.noarch.rpm /home/scalix-11.1.0-GA/software/scalix_server/scalix-swa-11.1.0.51-1.noarch.rpm /home/scalix-11.1.0-GA/software/scalix_server/scalix-sac-11.1.0.45-1.noarch.rpm /home/scalix-11.1.0-GA/software/scalix_server/scalix-sis-11.1.0.45-1.noarch.rpm /home/scalix-11.1.0-GA/software/scalix_server/scalix-mobile-11.1.0.45-1.noarch.rpm: (0) ['Preparing packages for installation...', 'scalix-tomcat-connector-11.1.0.45-1.fc5', 'scalix-tomcat-5.5.23-292', 'libical-0.24.RC4.20050413-1', 'scalix-server-11.1.0.10849-1.fc5', 'Stopping Scalix LDAP mapper (ldapmapper): [FAILED]\r', 'Starting Scalix LDAP mapper (ldapmapper): [ OK ]\r', 'scalix-postgres-11.1.0.45-1', 'scalix-platform-11.1.0.50-1', 'scalix-res-11.1.0.45-1', 'Remote Execution Service (RES) successfully installed.', 'Please configure Remote Execution Service (RES) using the', 'Scalix Installer for configuration.', 'Have fun!', 'scalix-swa-11.1.0.51-1', 'Please configure Scalix Web Access (SWA) using the Scalix Installer for configuration.', 'SWA minimally requires Tomcat 4.1.29 and JDK 1.4.2+.', 'After configuring SWA you may launch SWA within Tomcat with <Tomcat_installed_dir>/bin/startup.sh.', 'To check any startup errors look at <Tomcat_installed_dir>/logs/scalix-swa_log.<date>.txt', 'scalix-sac-11.1.0.45-1', 'Scalix Administration Console (SAC) successfully installed.', 'Please configure Scalix Administration Console (SAC) using', 'the Scalix Installer for configuration.', 'Have fun!', 'scalix-sis-11.1.0.45-1', 'scalix-mobile-11.1.0.45-1']
2007-08-28 21:42:38,335 INFO Checking if any deprecated packages are installed.
2007-08-28 21:42:38,599 INFO Install end
2007-08-28 21:42:38,701 INFO Mailnode name derived from FQDN: outhere-music
2007-08-28 21:42:40,713 WARNING configured mail domain could not be determined
2007-08-28 21:42:40,814 INFO dns domain com does not have an MX record so user must enter default domain
2007-08-28 21:43:03,104 INFO Creating Scalix instance...(please wait -- this might take several minutes)
2007-08-28 21:43:03,129 CRITICAL Failed calling command '/opt/scalix/bin/ommakeom -h outhere-music.com ' with exit code 126 msg ['sh: which: command not found', 'sh: server/wrappers/pyexec: Permission denied']
2007-08-28 21:43:03,129 CRITICAL Operation failed: config-server function create_scalix_instance failed: Msg: Failed calling command '/opt/scalix/bin/ommakeom -h outhere-music.com ' with exit code 126 msg ['sh: which: command not found', 'sh: server/wrappers/pyexec: Permission denied']
2007-08-28 21:43:03,129 ERROR Operation failed: Aborting server configuration

etnazraz
Posts: 10
Joined: Tue Aug 28, 2007 12:09 pm

Postby etnazraz » Tue Aug 28, 2007 3:29 pm

however calling the command /opt/scalix/bin/ommakeom -h outhere-music.com from the command line after works fine.

Rerunning the installer and running configuration causes the following errors

Traceback (most recent call last):
File "/tmp/scalix-wizard.Gj5977/py/sxmerlin.py", line 999, in ?
sxcli.run(properties)
File "/tmp/scalix-wizard.Gj5977/py/sxcli.py", line 1832, in run
next = scr.execute()
File "/tmp/scalix-wizard.Gj5977/py/sxcli.py", line 131, in execute
return self.run()
File "/tmp/scalix-wizard.Gj5977/py/sxcli.py", line 1561, in run
sxconfigurator.get_res_configuration(data)
File "/tmp/scalix-wizard.Gj5977/py/sxconfigurator.py", line 173, in get_res_configuration
conf = get_res_instance_conf_dir(data)
File "/tmp/scalix-wizard.Gj5977/py/sxconfigurator.py", line 679, in get_res_instance_conf_dir
inst_root = sxsystem.get_current_instance_root(data)
File "/tmp/scalix-wizard.Gj5977/py/sxsystem.py", line 2028, in get_current_instance_root
tc_root = get_current_tomcat_root(data, instance)
File "/tmp/scalix-wizard.Gj5977/py/sxsystem.py", line 2015, in get_current_tomcat_root
debug(SXTOMCAT_GET_INST_DIR + " returned with error code: " + cmd.getExitStatus());
TypeError: cannot concatenate 'str' and 'int' objects
Scalix Installer - cleaning up...
Scalix Installer - done.

any ideas on what the problem could be

Renegade
Posts: 24
Joined: Mon Jul 31, 2006 2:17 pm
Location: Germany, SH
Contact:

Postby Renegade » Sat Mar 15, 2008 8:43 am

have you solved the last problem?

i've got the same problem wirh centos5

les
Scalix Star
Scalix Star
Posts: 819
Joined: Thu Feb 23, 2006 10:18 am
Location: Sydney, Australia

Postby les » Sun Mar 16, 2008 8:01 pm

etnazraz wrote:however calling the command /opt/scalix/bin/ommakeom -h outhere-music.com from the command line after works fine.

Rerunning the installer and running configuration causes the following errors

Traceback (most recent call last):
File "/tmp/scalix-wizard.Gj5977/py/sxmerlin.py", line 999, in ?
sxcli.run(properties)
File "/tmp/scalix-wizard.Gj5977/py/sxcli.py", line 1832, in run
next = scr.execute()
File "/tmp/scalix-wizard.Gj5977/py/sxcli.py", line 131, in execute
return self.run()
File "/tmp/scalix-wizard.Gj5977/py/sxcli.py", line 1561, in run
sxconfigurator.get_res_configuration(data)
File "/tmp/scalix-wizard.Gj5977/py/sxconfigurator.py", line 173, in get_res_configuration
conf = get_res_instance_conf_dir(data)
File "/tmp/scalix-wizard.Gj5977/py/sxconfigurator.py", line 679, in get_res_instance_conf_dir
inst_root = sxsystem.get_current_instance_root(data)
File "/tmp/scalix-wizard.Gj5977/py/sxsystem.py", line 2028, in get_current_instance_root
tc_root = get_current_tomcat_root(data, instance)
File "/tmp/scalix-wizard.Gj5977/py/sxsystem.py", line 2015, in get_current_tomcat_root
debug(SXTOMCAT_GET_INST_DIR + " returned with error code: " + cmd.getExitStatus());
TypeError: cannot concatenate 'str' and 'int' objects
Scalix Installer - cleaning up...
Scalix Installer - done.

any ideas on what the problem could be



Going back to the installer log this entry is critical....specifically the bold section....

2007-08-28 21:43:03,129 CRITICAL Operation failed: config-server function create_scalix_instance failed: Msg: Failed calling command '/opt/scalix/bin/ommakeom -h outhere-music.com ' with exit code 126 msg ['sh: which: command not found', 'sh: server/wrappers/pyexec: Permission denied']


it looks to me like, and it's only my interpretation, ommakeom uses a shell call to run "which" to find a python executable in order to run the servers/wrappers/pyexec and gets a permission denied error. Looking at it closely the which command fails as well.

I'm no expert on python or the internals of the scalix installer, but it seems as though your missing some python bits, or perhaps its selinux running thats blocking you or something along those lines.

Suggest you run the installer in debug mode for more output to try and ascertain whats going on...

./scalix-installer --debug
Regards,

Les Stott

glen
Posts: 17
Joined: Tue Jan 27, 2009 6:09 pm

Re: Failed calling command '/opt/scalix/bin/ommakeom

Postby glen » Tue Jun 22, 2010 8:43 pm

I hit this problem when installing scalix/scalix activesync on CentOS 5.5 (64 bit).

The solution is to install 'which'.

yum install which

les
Scalix Star
Scalix Star
Posts: 819
Joined: Thu Feb 23, 2006 10:18 am
Location: Sydney, Australia

Re: Failed calling command '/opt/scalix/bin/ommakeom

Postby les » Thu Feb 24, 2011 1:50 am

If you are installing to CentOS 5.5 then you may encounter an installation error about not being able to create admin accounts.

There is a problem with glibc, you need to roll back and then re-run the installer.

yum downgrade glibc-2.5-49 glibc-common-2.5-49 nscd-2.5-49
Regards,

Les Stott


Return to “Installation”



Who is online

Users browsing this forum: No registered users and 2 guests